Page MenuHomePhabricator

Use new helpNotice icon on WMDE extensions
Closed, ResolvedPublic1 Story Points

Description

Since OOUI v0.28.2 there's a new help icon to use free-standing and frame-less. @Volker_E already added a patch for this for the RevisionsSlider and we might think of other extensions.

Details

Related Gerrit Patches:
mediawiki/extensions/RevisionSlider : masterReplace 'help' by 'helpNotice' icon

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptOct 11 2018, 10:50 AM

Change 466210 had a related patch set uploaded (by WMDE-Fisch; owner: VolkerE):
[mediawiki/extensions/RevisionSlider@master] Replace 'help' by 'helpNotice' icon

https://gerrit.wikimedia.org/r/466210

@Charlie_WMDE If the above screenshot looks fine to you just poke me and I will merge the patch.

For context, the 'help' icon change from circled to non-circled in the general icon unification and refinement task T177432, which aimed at the help icons usage in toolbars and was a last-minute change to get it through. It was rightfully criticized in T191014#4229540 in places other than toolbars. Now we're providing two icons, 'helpNotice' should improve the experience in cases like RevisionSlider.

thiemowmde triaged this task as Normal priority.
thiemowmde moved this task from Incoming to Done on the Revision-Slider board.

The icon was in a circle before, see https://commons.wikimedia.org/wiki/File:Revisionslider-screenshot-de-large.png. So the fact it became a stray "?" is technically a regression, and the patch technically a bugfix. I went ahead and merged it. Can easily be rolled back in case WMDE-Design doesn't agree.

thiemowmde set the point value for this task to 1.Oct 12 2018, 11:59 AM
thiemowmde moved this task from Sprint Backlog to Demo on the WMDE-QWERTY-Sprint-2018-10-09 board.
thiemowmde moved this task from Incoming to Revision Slider on the TCB-Team board.

Change 466210 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Replace 'help' by 'helpNotice' icon

https://gerrit.wikimedia.org/r/466210

Lea_WMDE closed this task as Resolved.Oct 22 2018, 9:56 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-10-09 board.